.stock-tables__table {
	min-width: 1000px;
	table {
		table-layout: fixed;
		color: #fff;
		font-size: 13px;
	}
	th {
		white-space: normal;
		background: #0d0d12; // Màu đặc của rgba(0,0,0,.5);
		padding: 1px;
		border: 1px solid var( --dark-2 );

		&.cell-highlight {
			background: #36373f;
		}

	}
	td {
		white-space: nowrap;
		padding: 1px;
		border: 1px solid var( --dark-1 );

		&.cell-highlight {
			background: rgba(255, 255, 255, .12);
			border-color: var( --dark-2 );
		}
	}
	td, th {
		i {
			font-size: 9px;
			position: relative;
			top: -2px;
		}
		@media (max-width: 1279px) {
			font-size: 11px;
			padding: 3px 1px;
		}
	}
	.td-col-5 {
		width: percentage( 5 / 26 );
	}
	.td-col-2 {
		width: percentage( 2 / 26 );
	}
}

.sortable:hover {
	cursor: url(images/sort.svg), auto;
}
th .sortable {
	display: block;
}

.stock-table {
	display: none;
}

.table--active {
	display: block;
}

.table__header {
	position: sticky;
	z-index: 1;
	color: var( --white );
	.has-toggle {
		position: relative;
	}
	.toggle__right,
	.toggle__left {
		cursor: pointer;
		position: absolute;
		top: 50%;
		padding: 4px;
		transform: translateY(-50%);
	}
	.toggle__left {
		left: 0
	}
	.toggle__right {
		right: 0
	}
}

.table__body {
	td {
		background: rgba( 0, 0, 0, .5 );
	}
	tr:first-child td {
		border-top: none;
	}
	tr td:not(:first-child) {
		text-align: right;
	}
	tr:hover {
		background: rgba( 255, 255, 255, .4 );

		.cell-highlight {
			background: rgba( 0, 0, 0, .5 );
		}

		.txt-ma .fa-times {
			display: inline-block;
		}
	}
}

.toggling {
	&.will-hidden {
		display: none;
	}
	.hidden-first {
		display: block !important;
		& + span {
			display: none;
		}
	}
}

.is-hidden-gia .toggle--gia.toggle--hidden {
	display: none;
}

.fixed-components {
	top: 0;
	z-index: 9;
	position: fixed;
	right: 0;
	left: 0;
	background: var( --dark-0 );
}

.col-price {
	width: 3.5%;
}
.col-vol {
	width: 4.5%;

	&--lg {
		width: 5%;
	}
}
.col-diff {
	width: 3%;
}
.col-code {
	width: 5%;
}
.col-icon {
	width: 4%;
}
.col-data {
	width: 9%;
}
.col-ma-kl {
	width: 10%;
}

#co-ban {
	.col-nganh {
		width: 14%;
	}
	.col-10-phien {
		width: 7%;
	}
	.col-gt,
	.col-kl {
		width: 6%;
	}
	.col-eps {
		width: 5%;
	}
	.col-nn {
		width: 5%;
	}
}

@import 'thoa-thuan';
@import 'phai-sinh';
@import 'chung-quyen';
@import 'ket-qua-loc';
